### Method

# Cogl Color init_from_4f

#### Declaration [src]

    void
    cogl_color_init_from_4f (
      CoglColor* color,
      float red,
      float green,
      float blue,
      float alpha
    )

#### Description [src]

Sets the values of the passed channels into a `CoglColor`.

#### Parameters

`red`

  Type: `float`

  Value of the red channel, between 0 and 1.0.

`green`

  Type: `float`

  Value of the green channel, between 0 and 1.0.

`blue`

  Type: `float`

  Value of the blue channel, between 0 and 1.0.

`alpha`

  Type: `float`

  Value of the alpha channel, between 0 and 1.0.